<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Teleport Demo</title>
  <script src="https://cdn.jsdelivr.net/npm/clappr@latest/dist/clappr.min.js"></script>
  <script src="https://cdn.teleport.media/stable/teleport.clappr-hls.bundle.js"></script>
  <link href="https://fonts.googleapis.com/css?family=Montserrat:600" rel="stylesheet">
  <link href="./css/app.css" rel="stylesheet">
  <!-- <style>
    .grid { display: grid; grid-template-columns: 50% 50%; margin: 0 auto; max-width: 1200px; padding: 0 50px; }
    .grid__peers { grid-column: 2; grid-row: 1; }
    .grid__player { grid-column: 2; grid-row: 2; }
    .grid__stats { grid-column: 1; grid-row: 2; }
    #video { width: 100%; }

    @media (max-width: 1200px) {
      #dev-tools canvas { width: 480px !important; height: 170px !important; }
    }

    @media (max-width: 1100px) {
      #dev-tools canvas { width: 285px !important; height: 100px !important; }
    }

    @media (min-width: 480px) and (max-width: 640px) {
      .grid__peers { grid-column: 2; grid-row: 1; }
      .grid__player { grid-column: 2; grid-row: 2; }
      .grid__stats { grid-column: 1; grid-row: 2; }
    }
  </style> -->
</head>
<body>
  <!-- <div class="grid">
    <div class="grid__peers">
      <div class="js-peers">js-peers</div>
      <div class="js-peers-text">Peers in the network</div>
      <button class="js-add">Emulate New user</button>
    </div>
    <div class="grid__player">
      <div id="video"></div>
    </div>
    <div class="grid__stats">
      <div class="grid__stats__indicators">
        <div class="grid__stats__indicators__item">
          item1
        </div>
        <div class="grid__stats__indicators__item">
          item2
        </div>
        <div class="grid__stats__indicators__item">
          item3
        </div>
      </div>
      <div class="grid__stats__graph">
        <div id="dev-tools"></div>
      </div>
    </div>
  </div> -->
  <div class="container">
    <div class="row">
      <div class="col-md-6 col-sm-12 pt3">
        <!-- <div class="demo__page_title">Teleport Demo</div>
        <div class="demo__title">Traffic allocation between CDN and decentralized network</div>
        <div class="demo__description">Click the button and emulate a new user in separate browser window. The more users you emulate the more peers are in the demo network. </div> -->
      </div>
      <div class="col-md-6 col-sm-12 pt3">
        <div class="row mt5">
          <div class="col-sm-4 demo__peers">
            <div class="demo__peers_count js-peers"></div>
            <div class="demo__peers_text js-peers-text">Peers in the network</div>
          </div>
          <div class="col-sm-6">
            <button class="demo__peers_btn js-add">Emulate new user</button>
          </div>
        </div>
        <!-- <div id="video"></div> -->
      </div>
    </div>

    <div class="row lg-mt6 sm-mt25">
      <div class="col-md-6 col-sm-12 col-xs-12">
        <div class="row">
          <div class="col-sm-4 col-sm-flex-column sm-mt25">
            <div class="demo__item_title demo__item_title--blue">Teleport WebRTC Streaming</div>
            <div class="col-sm-flex-row">
              <div class="demo__item_count demo__item_title--blue"><span class="js-pdn-share">0</span>%</div>
              <div class="col-sm-column">
                <div class="demo__item_trafic_amount js-pdn-size">00.00 MB</div>
                <div class="demo__item_trafic_speed">Avg. Speed: <span class="js-pdn-speed">0.00 Mbps</span></div>
              </div>
            </div>
          </div>
          <div class="col-sm-4 col-sm-flex-column sm-mt25">
            <div class="demo__item_title demo__item_title--green">Content delivery network</div>
            <div class="col-sm-flex-row">
              <div class="demo__item_count demo__item_title--green"><span class="js-cdn-share">0</span>%</div>
              <div class="col-sm-column">
                <div class="demo__item_trafic_amount js-cdn-size">00.00 MB</div>
                <div class="demo__item_trafic_speed">Avg. Speed: <span class="js-cdn-speed">0.00 Mbps</span></div>
              </div>
            </div>
          </div>
          <div class="col-sm-3 col-sm-flex-column sm-mt25">
            <div class="demo__item_title demo__item_title--red">Current peer upload</div>
            <div class="col-sm-flex-row">
              <div class="demo__item_count demo__item_title--red"><span class="js-upload-share">0</span>%</div>
              <div class="col-sm-column">
                <div class="demo__item_trafic_amount js-upload-size">00.00 MB</div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-md-6 col-sm-12 mt3">
          <div id="dev-tools"></div>
        </div>
      </div>
      <div class="col-md-6 col-sm-12 mt2">
        <div id="video"></div>
      </div>

    </div>
  <script src="./js/app.js"></script>
  <script src="./js/public.js"></script>
</body>
</html>
